﻿/* css-template date: 2025-Oct-22 */
/* --------- Styles affecting all analyst pages (pid1, pid2, pid3, pid4, pid5, pid6) --------- */

@font-face {
    font-family: 'DUBAI-REGULAR';
    src: url('fonts/Dubai-Regular.otf') format('opentype'),
        url('fonts/Dubai-Regular.eot') format('embedded-opentype'),
        url('fonts/Dubai-Regular.woff')format('woff'),
        url('fonts/Dubai-Regular.ttf') format('truetype'),
        url('fonts/Dubai-Regular.eot?#iefix')format('embedded-opentype');
    font-weight: 700;
    font-style: normal;

}

@font-face {
    font-family: 'DUBAI-REGULAR';
    src: url('fonts/Dubai-Light.otf') format('opentype'),
        url('fonts/Dubai-Light.woff') format('woff'),
        url('fonts/Dubai-Light.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'DUBAI-REGULAR';
    src: url('fonts/Dubai-Bold.otf') format('opentype'), 
         url('fonts/Dubai-Bold.eot') format('embedded-opentype'),
          url('fonts/Dubai-Bold.woff') format('woff'), 
         url('fonts/Dubai-Bold.eot?#iefix') format('embedded-opentype');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'DUBAI-REGULAR';
    src: url('fonts/Dubai-Medium.otf') format('opentype'),
     url('fonts/Dubai-Medium.eot') format('embedded-opentype'),
     url('fonts/Dubai-Medium.woff') format('woff'), 
     url('fonts/Dubai-Medium.ttf') format('truetype'), 
     url('fonts/Dubai-Medium.eot?#iefix') format('embedded-opentype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
	font-family: 'icofont';
	src: url('fonts/icofont.eot');
	src: url('fonts/icofont.eot?#iefix') format('embedded-opentype'),
		url('fonts/icofont.woff2') format('woff2'),
		url('fonts/icofont.woff') format('woff'),
		url('fonts/icofont.ttf') format('truetype'),
		url('fonts/icofont.svg') format('svg');
	font-weight: normal;
	font-style: normal;
}
body{
	font-weight: normal;
	background:transparent;
	margin: 0px;
	color: #3F3F3F;
	font-family: 'DUBAI-REGULAR',Arial,sans-serif; 
	font-size: 16px;
	/*! border: none; */
}
body.ar{
	font-family: 'DUBAI-REGULAR',Arial,sans-serif; 
	font-size: 16px;
}

H1{
	font-size: inherit;
	font-weight: inherit;
	margin-bottom: 3px;
	line-height: 20px;
	height: 20px;
}
H2{
	font-size: inherit;
	font-weight: inherit;
	padding-right: 10px;
}
.ar H2{
	padding-right: 0px;
	padding-left: 15px;
}
A:link, A:visited{
	color: #3F3F3F;
	text-decoration: none;
}
A:hover, A:active{
	color: #007560; 
	text-decoration: underline;
	font-weight: 500;
}
span#lSuppliedBy {
  font-size: 15px;
}
SPAN.lHeading{
	visibility: hidden;
}
SPAN.lHeading A:link, 
SPAN.lHeading A:visited,
SPAN.lHeading A:hover, 
SPAN.lHeading A:active{
	visibility: visible;
}
.textBox{
	font-family: inherit;
	font-size: inherit;
	color: inherit;
	border: 2px solid #007560;
	padding-left: 16px;
	height: 25px;
	width: 108px;
	border-radius: 30px;
	padding-top: 2px;
}
body.ar input.textBox{
	width: 108px;
	padding-left: unset;
	padding-right: 16px;
}
body.ar input.btn {
  background: #007560;
  color: #FFFF;
  border: 1px solid #007560;
  font-family: inherit;
  font-size: inherit;
  height: 32px;
  width: 120px;
  border-radius: 30px;
  transition: background 0.5s ease 0s, color 0.5s ease 0s, border 0.5s ease 0s;
  font-weight: bold;
}

input.btn{
	background: #007560;
	color: #FFFF;
	border: 1px solid #007560;
	font-family: inherit;
	font-size: inherit;
	height: 32px;
	width: 110px;
	border-radius: 30px;
	transition: background 0.5s ease 0s, color 0.5s ease 0s, border 0.5s ease 0s;
	font-weight: bold;
}
input.btn:hover{
	cursor: pointer;
	text-decoration: underline;
}
TD.datanumber,
TD.highlightedcell{
	white-space: nowrap;
	text-align: right;
}
body.ar table.gridtable td.datanumber, 
body.ar table.gridtable td.highlightedcell{
	direction: ltr;
}
TD.highlightedcell,
TR:nth-of-type(2) TD.datarectable{
	background: rgb(236,236,236);
	background: rgba(217,217,217,0.5);
}
.maintable{
	width: 100%;
	margin: 0 auto;
	max-width: 1368px; 
	max-width: expression(this.width > 980 ? '980px' : true);
}
table.gridtable{
	width: 100%;
	border: 0px solid #c6c6c6;
}
table.gridtable TD{
	vertical-align: top;
	padding: 0.6em;
	border-top: 1px solid #c6c6c6;
	border-bottom: 1px solid #c6c6c6;
}
table.contributors TD{
	width: 250px;
}
table.ContributorHeaderTable td, table.contributors td{
	padding-left: 0px;
} 
table.ContributorHeaderTable, table.contributors{
	border-spacing: 0px;
} 
.tableheading TD{
	color: #FFF;
	background: #63636A;
}
TABLE.gridtable TR.tableheading TD{
	vertical-align: middle;
}
.tableheading TD A:link, 
.tableheading TD A:active{
	color: #FFF;
	font-size: 16px;
	font-weight: 700;
}
.tableheading TD A:visited, 
.tableheading TD A:hover{
	color: #FFFF;
}
TABLE.rectable + TABLE.footertable > TBODY > TR > TD{
	padding-top: 20px;
	padding-bottom: 10px;
}
TABLE.contributors + BR + TABLE.footertable > TBODY > TR > TD{
	padding-top: 10px;
	padding-bottom: 10px;
}
TABLE.footertable TD{
	border-collapse: collapse;
}
.updated{
	text-align: right;
}
TD.euroland{
	text-align: right;
	padding-top: 10px;
}
.nowrap{
	white-space: nowrap;
}
TR.tableheading TD.analyst_header{
	padding-left: 0.3em;
}
.period_header{
	text-align: right;
	white-space: unset;
}
TABLE.rectable{
	border-collapse: collapse;
}
DIV.recspace{
	height: 25px;
}
DIV.contrspace{
	height: 15px;
}
.selectperioddescription{
	vertical-align: top;
}
DIV.dateselectionbox{
	padding: 5px 15px 15px 15px;
	border: 1px #ececec solid;
	background-color: #ececec;
	border-collapse: collapse;
}
DIV.dateselectionbox table{
	border-spacing: 0px;
	border-collapse: collapse;
}
.selectDateRTBs{
	padding-bottom: 10px;
	padding-top: 0px;
}
div.time-period{
	margin-right: 10px;
}
body.ar div.time-period{
	margin-right: auto;
	margin-left: 10px;
}
td.calendarTD{
	position: relative;
	min-width: 53px;
}
td.calendarTD img{
	width: 23px;
	height: 30px;
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
	position: absolute;
	z-index: 100;
}
td.calendarTD:after{
	content:"\f073";
	font-family: FontAwesome;
	font-size: 25px;
	color: #000;
	transition: color 0.5s;
	opacity:1;
	position: absolute;
	z-index: 2;
}
td.calendarTD img, 
td.calendarTD:after{
	left: 10px;
	top: 12px;
}
body.ar td.calendarTD img, 
body.ar td.calendarTD:after{
	left: auto;
	right: 10px;
}

td.calendarTD:hover:after{
	color: #006a56;
}
.calendar,
.calendar TABLE,
.calendar .button,
.calendar THEAD .title,
.calendar TBODY TD.today,
.calendar TFOOT .ttip{
	color: inherit;
}
/* start of Arabic holidays */
/* Notes. The code in this section suits to companies in Saudi Arabia, 
because it applies only on companycodes starting with "sa-" or "SA-". 
For other Arabic countries, please replace the case-sensitive two-letter countrycode as follows:  
for UAE use "ae" and "AE"; 
for Qatar use "qa" and "QA"; 
for Oman use "om" and "OM"; 
for Kuwait use "kw" and "KW";
etc. */
FORM[action*="=ae-"] ~ DIV.calendar TR.daynames TD,
FORM[action*="=AE-"] ~ DIV.calendar TR.daynames TD{
	pointer-events: none;
}
FORM[action*="=ae-"] ~ DIV.calendar TD.weekend,
FORM[action*="=AE-"] ~ DIV.calendar TD.weekend{
	color: inherit;
}
BODY.en > FORM[action*="=ae-"] ~ DIV.calendar TR.daynames TD:nth-child(5),
BODY.en > FORM[action*="=AE-"] ~ DIV.calendar TR.daynames TD:nth-child(5),
BODY.en > FORM[action*="=ae-"] ~ DIV.calendar TR.daysrow TD:nth-child(5),
BODY.en > FORM[action*="=AE-"] ~ DIV.calendar TR.daysrow TD:nth-child(5),
BODY.en > FORM[action*="=ae-"] ~ DIV.calendar TR.daynames TD:nth-child(6),
BODY.en > FORM[action*="=AE-"] ~ DIV.calendar TR.daynames TD:nth-child(6),
BODY.en > FORM[action*="=ae-"] ~ DIV.calendar TR.daysrow TD:nth-child(6),
BODY.en > FORM[action*="=AE-"] ~ DIV.calendar TR.daysrow TD:nth-child(6){
	color: #ff0000;
}
BODY.ar > FORM[action*="=ae-"] ~ DIV.calendar TR.daynames TD:nth-child(2),
BODY.ar > FORM[action*="=AE-"] ~ DIV.calendar TR.daynames TD:nth-child(2),
BODY.ar > FORM[action*="=ae-"] ~ DIV.calendar TR.daysrow TD:nth-child(2),
BODY.ar > FORM[action*="=AE-"] ~ DIV.calendar TR.daysrow TD:nth-child(2),
BODY.ar > FORM[action*="=ae-"] ~ DIV.calendar TR.daynames TD:nth-child(8),
BODY.ar > FORM[action*="=AE-"] ~ DIV.calendar TR.daynames TD:nth-child(8),
BODY.ar > FORM[action*="=ae-"] ~ DIV.calendar TR.daysrow TD:nth-child(8),
BODY.ar > FORM[action*="=AE-"] ~ DIV.calendar TR.daysrow TD:nth-child(8){
	color: #ff0000;
}
/* end of Arabic clients' holidays */
/* start of bundle links */
.tdPageLinksActive a, .tdPageLinks a:hover{
	background: #006a56 none repeat scroll 0 0;
	border: 0 none;
	color: #ffffff;
	height: 39px;
	line-height: 40px;
	padding: 10px 16px;
	transition: all 0.2s ease-in-out 0s;
	text-decoration:none;
}
.tdPageLinks a{
	height: 39px;
	line-height: 40px;
	padding: 10px 16px;
	color: #006a56;
	transition: all 0.2s ease-in-out 0s;
	text-decoration:none;
	font-size: 15px;
}
/* end of bundle links */
div.euroland table.footertable:nth-last-of-type(3) table td:nth-of-type(2){
	vertical-align: middle;	/* this fixes an unnecessary vertical alignment in code */
}
div.euroland table.footertable:nth-last-of-type(3) table{
	border-spacing: 0px;	/* this fixes an unnecessary cellspacing in code of pid1 page */
}
div.euroland table.footertable:nth-last-of-type(3) table td{
	padding: 0px;
}
div.pid1 div.euroland table.footertable:nth-last-of-type(3) table td:nth-of-type(2){
	font-size: 0px;
}
a.pdfdownload img{
	margin-left: 4px;
	margin-right: 4px;
}


/* --------- Styles for "analyst coverage and recommendations" page only (pid1) --------- */

TD.data{
	padding: 3px 2px 3px 5px;
}
table.dataT{
	margin-top: 0px;
	width: auto;
	border-collapse: collapse;
}
.pid1 td.company{
	padding-right: 5px;
}
.value1{
	color: #009900;
}
.value2{
	color: #a2b836;	
}
.value3{
	color: #f8b84c;
}
.value4{
	color: #f87736;
}
.value5{
	color: #ea0000;
}
span.hiddendivA{
	padding-top: 5px;
	padding-bottom: 4px;
}
div.hiddendiv{
	display: none;
	padding: 0.8em 0.6em 0.8em 0.6em; 
	position: relative;
}
div.hiddendiv div {
	max-width: unset;
}
table.dataT + div.hiddendiv > div {
	width: 200% !important; /* do not delete, but only modify! Otherwise nothing would stop "covered sectors" text from going over the edge. */
	/* border: 1px solid red; */
}
body.ar table.dataT + div.hiddendiv > div {
	width: 265% !important;
}

/* pdf adjustments */
form[action*="open=1"] td#disclaimer {
	display: table-cell !important;
}
form[action*="open=1"] table.rectable + table.footertable > tbody > tr > td > table,
form[action*="open=1"] span.lReadMore {
	display: none;
}
form[action*="open=1"] table.dataT + div.hiddendiv + div.hiddendiv > div.emailDiv * {
	font-size: 0px; 
}
form[action*="open=1"] table.dataT + div.hiddendiv + div.hiddendiv {
	font-size: 0px; 
	line-height: 18px; /* not less than 1.2 times the font-size of contact details */
}
form[action*="open=1"] table.gridtable tr.tableheading TD {
	padding-top: 0.5em;
	padding-bottom: 0.5em;
}
form[action*="open=1"] div.hiddendiv {
	padding: 0em 0.6em 1.6em 0.8em;
}
form[action*="open=1"] table.gridtable tr.odd TD,
form[action*="open=1"] table.gridtable tr.even TD {
	padding-top: 0.4em;
	padding-bottom: 0.2em;
}
form[action*="open=1"] TABLE.rectable+TABLE.footertable>TBODY>TR>TD {
	padding-top: 10px;
	padding-bottom: 5px;
}
/* end of pdf adjustments */

td.data_analyst{
	padding: 0!important;
}
tr.tableheading td.analyst_header{
	padding: 0.6em;
}
table.dataT td.analyst_name{
	border:0;
}
div.emailDiv{
	font-size: 0px; /* so that &nbsp; would not cause a horizontal space before the email address */
}
div.emailDiv *{
	font-size: 16px;
}
div.emailDiv font:after{
	content:" "; /* this space allows the email address to move to a next row when not enough horizontal space */
}
div.emailDiv a{
	white-space: nowrap;
}
td.analyst_name > a:link, td.analyst_name > a:visited{
	text-decoration: underline;
}
td.analyst_name > a:hover, td.analyst_name > a:active{
	text-decoration: none;
}
DIV.pid1 TABLE.gridtable > TBODY > TR > TD{
	width: 25%;
}
DIV.pid1 TABLE.gridtable TD{
	padding-top: 0.8em;
	padding-bottom: 0.8em;
	line-height: 1.3;
}
TD.target_price_header SPAN.header_currency{
	display: inline-block;
	margin-left: 3px;
	font-weight: normal;
}
body.AR TD.target_price_header SPAN.header_currency{
	margin-left: auto;
}
TD.data.target_price SPAN, 
DIV.lastPriceDiv{
	display: none;
}


/* --------- Styles for "consensus estimates" pages only (pid2, pid3, pid4) --------- */
td.dataindicator{
	width: 26%;
}
td.datagraphicon{
	width: auto; /* by default in LTR the auto-setting should leave 6% for the graph icon column, while in Arabic RTL it is expected to be equal to period columns */
	text-align: right;
}
div.pid2 td.datanumber,
div.pid2 td.highlightedcell,
div.pid4 td.datanumber,
div.pid4 td.highlightedcell{
	width: 17%; /* by default 17% = (100% - 26% - 6%) / 4 ; in LTR we divide 68% by 4 columns, while excluding dataindicator column 6% */
}
div.pid3 td.datanumber,
div.pid3 td.highlightedcell{
	width: 13.6%; /* by default 13.6% = (100% - 26% - 6%) / 5 ; in LTR we divide 68% by 5 columns, while excluding dataindicator column 6% */
}

/* start of Arabic column widths */
body.ar td.dataindicator{
	width: 30%;
}
body.ar div.pid2 td.datanumber,
body.ar div.pid2 td.highlightedcell,
body.ar div.pid4 td.datanumber,
body.ar div.pid4 td.highlightedcell{
	width: 14%; /* by default 14% = (100% - 30%) / (4 + 1) ; in RTL we divide 70% by "4 + 1" columns, because in Arabic we prefer  dataindicator's column to have equal width to period columns */
}
body.ar div.pid3 td.datanumber,
body.ar div.pid3 td.highlightedcell{
	width: 11.2%; /* by default 11.2% = (100% - 30%) / (5 + 1) ; in RTL we divide 70% by "5 + 1" columns, because in Arabic we prefer  dataindicator's column to have equal width to period columns */
}
/* end of Arabic col widths */

TD.dataindicator{
	padding: 3px 2px 3px 4px;
	margin: 0px;
}
TD.datagraphicon A:link,
TD.datagraphicon A:active,
TD.datagraphicon A:visited{
	display:inline-block;
	position:relative;
	width: 23px;
	height: 20px;
	top:0;
	left:0;
	text-decoration: none!important;
}

TD.datagraphicon A:after{
	content: "\f080";
	position:relative;
	top:-2px;
	font-family:FontAwesome;
	left:0;
	color: #000;
	transition: color 0.5s;
	font-size:20px;
}
TD.datagraphicon a {
	font-size: 0px;	/* to hide the unnecessary nbsp */
}
TD.datagraphicon A:hover:after{
	color: #006a56;
}
DIV.lheadDiv{
	display: none;
}
.highlightedrow{
	font-weight: bold;
	padding-left: 0px;
	display: inline-block;
}
DIV.highcharts-container{
	font-size: inherit!important;
	font-family: inherit!important;
}
SPAN.highcharts-title{
	font-family: inherit!important;
	font-weight: inherit!important;
	font-size: inherit!important;
	color: inherit!important;
}
DIV.highcharts-axis span{
	font-family: inherit!important;
	font-weight: inherit!important;
	font-size: inherit!important;
	color: inherit!important;
}
DIV.pid2 TABLE.gridtable A:link, 
DIV.pid2 TABLE.gridtable A:visited,
DIV.pid2 A:link DIV.highlightedrow, 
DIV.pid2 A:visited DIV.highlightedrow{
	text-decoration: underline;
}
DIV.pid2 TABLE.gridtable A:hover, 
DIV.pid2 TABLE.gridtable A:active,
DIV.pid2 TABLE.gridtable A:hover DIV.highlightedrow, 
DIV.pid2 TABLE.gridtable A:active DIV.highlightedrow{
	text-decoration: none;
}
span.AnalystIndicatorComment{
	display: block;
	padding: 4px 0px 0px 10px;
	font-style: italic;
	line-height: inherit;
}
div.pid2 td.analyst_header font,
div.pid3 td.analyst_header font,
div.pid4 td.analyst_header font{
	display: inline-block;
	white-space: nowrap;
}


/* --------- Styles for "recommendation overview" page only (pid5) --------- */

.pid5 H1{
	display: none;
}
.maintablerec{
	width: 100%;
	margin: 0 auto;
	max-width: 980px; 
	max-width: expression(this.width > 980 ? '980px' : true);
}
div.pid5 TD.period_header{
	width: 15%; /* for 5 displayed period columns; this leave 25% for  */
}
DIV.pid5 TABLE.gridRecomend TR TD:nth-of-type(4), 
DIV.pid5 TABLE.gridRecomend TR TD:nth-of-type(5){
	display: none; /* excluding the columns "4 months" and "5 months" */
}
DIV.recommendationbox{
	background: #006a56;
	text-align: center;
	color: #ffffff;
	font-weight: normal;
}
.recboxlabel{
	font-weight: bold;
}
DIV.pid5 TD.updated{
	padding-top: 7px;
	padding-bottom: 2px;
}
.reclastupdated{
	text-align: right;
	padding-top: 10px;
	padding-bottom: 2px;
}
.reclastupdated-ar{
	text-align: left;
	padding-top: 10px;
	padding-bottom: 10px;
}
TD.recheading{
	padding-left: 0px;
	padding-right: 0px;
	padding-top: 2px;
	padding-bottom: 2px;
	vertical-align: bottom;
}
TD.recheading h2{
	padding-top: 0px;
	line-height: 12px;
	margin-bottom: 3px;
}
TABLE.roundedtable{
	display: none;
}
DIV.recspace2{
	height: 1px;
}
/* start of recommendation bar scale */
.recconsensus{
	position:relative;
}
.recconsensus:after{
	display: inline-block;
	content: " ";
	width: 1px;
	height: 5px;
	background: rgb(255,255,255);
	background: rgba(255,255,255,0.5);
	position: absolute;
	top: 0;
	right: 0;
}
.recconsensus:before{
	display: inline-block;
	content: " ";
	width: 1px;
	height: 5px;
	background: rgb(255,255,255);
	background: rgba(255,255,255,0.5);
	position: absolute;
	bottom: 0;
	right: 0;
}
.recconsensus:last-child:after,
.recconsensus:last-child:before{
	display:none;
}
/* end of recommendation bar scale */
/* start of rating colors */
.greenbar1,
.greenbar2,
.greenbar3,
.greenbar4,
.greenbar5{
	height: 15px;
	min-width: 3px;
}
.greenbar1{
	background-color: #009900;
}
.greenbar2{
	background-color: #a2b836;	
}
.greenbar3{
	background-color: #f8b84c;
}
.greenbar4{
	background-color: #f87736;
}
.greenbar5{
	background-color: #ea0000;
}
.recstripe{
	background: -moz-linear-gradient(left,  #009900 0%, #a2b836 25%, #f8b84c 50%, #f87736 75%, #ea0000 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(left,  #009900 0%,#a2b836 25%,#f8b84c 50%,#f87736 75%,#ea0000 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to right,  #009900 0%,#a2b836 25%,#f8b84c 50%,#f87736 75%,#ea0000 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#009900', endColorstr='#ea0000',GradientType=1 ); /* IE6-9 */
	/* https://www.colorzilla.com/gradient-editor/ */
}
/* end of rating colors */
.recstripe,
.recconsensus {
	height: 28px !important;
}
.recconsensus{
	width: 20%;
	min-width: 90px;
	text-align: center;
	color: #ffffff;
	white-space: nowrap !important;
}
.datarectable{
	white-space: nowrap;
	padding: 3px 3px 3px 5px;
}
div.borderrec, div.borderrec-ar{
	padding: 0px 0px 5px 15px;
	border: 1px #d7d9da solid;
	background-color: #ffffff;
}
div.borderrec table{
	border-collapse: collapse;
}
div.borderrecdetailed{
	padding: 10px 20px 10px 15px;
	border: 1px #d7d9da solid;
	background-color: #ffffff;
}
table.detailedrec{
	width: 100%;
	padding: 4px;
}
TABLE.detailedrec TD{
	padding-top: 4px;
	padding-bottom: 4px;
}
TABLE.detailedrec TD.barrating{
	white-space: nowrap;
	width: 10px;
	padding-right: 10px;
}
.pointerNav IMG{
	position: relative;
	top: -4px;
}
TD.pointervalue DIV{
	width: 40px;
	top: -5px;
}
div#targetPriceChart svg g.highcharts-axis-labels:last-of-type text:first-child tspan{
	visibility: hidden; /* to avoid overlapping with x-axis labels */	
}
div.pid5 svg g:nth-last-of-type(2) text:last-of-type{
	transform: translateX(-0.3em);
}
body.ar div.pid5 svg g:nth-last-of-type(2) text:last-of-type{
	transform: none;
}
body.ar div.pid5 svg g:nth-last-of-type(2) text:first-of-type{
	transform: translateX(1em);
}


/* --------- Styles for "rating tickerbox" page only (pid6) --------- */

.ACBox{
	width: 115px;
	border-collapse: collapse;	
}
TD.ACBox_header{
	display: none;
}
td.ACBox_Item{
	padding-bottom: 5px;
}
ACBoxCompanyName{
	font-weight: bold;
}
table.AnalystCoverageBoxData > tbody > tr:nth-of-type(n+8){
	display: none;
}
div.pid6 div.supply-by-box{
	display: none;
}

/* --------- table --------- */
input {
	accent-color: #007560;
}


/* --------- @media and other --------- */

.jspPane {
	width: 100% !important;
}
@media screen and (max-width: 600px) {
	.recconsensus {
		font-size: 13px;
	}
	div.pid5 g.highcharts-axis-labels text tspan{
		font-size: 13px;
	}
	div.pid5 div.highcharts-axis-labels span{
		font-size: 13px !important;
	}	
	DIV.pid5 DIV.div-inline-block {
		display: none;
	}
}
@media screen and (max-width: 564px) {
	TD.target_price_header SPAN.header_currency{
		margin-left: auto;
	}
}
@media screen and (max-width: 479px) {
	#colorHueBar, .recstripe, 
	.recconsensus {
		height: 35px !important;
	}
	td.calendarTD img, 
	td.calendarTD:after{
		top: 1px;
	}
	.lDisclaimer {
		display: inline;
	}
	div.pid5 svg g:nth-last-of-type(2) text:last-of-type,
	body.ar div.pid5 svg g:nth-last-of-type(2) text:first-of-type{
		transform: none;
	}
}
/* start of "contacts into company column", but remove this section in case that we display broker addresses. */
@media screen and (max-width: 400px) {
	
	DIV.pid1 TABLE.gridtable > TBODY > TR > TD{
		width: auto;
	}
	
	DIV.pid1 TABLE.gridtable > TBODY > TR > TD.company{
		width: 100px !important;
		min-width: 100px;
	}
	span.hiddendivA{
		display: none !important;
	}
	body.en div.hiddendiv div{
		left: -105px !important;
	}
	body.ar div.hiddendiv div{
		right: -108px !important;
	}
	table.dataT + div.hiddendiv > div {
		width: calc(160% + 100px) !important;
	}
	body.ar table.dataT + div.hiddendiv > div {
		width: calc(200% + 100px) !important; 
	}
	TD.target_price_header, 
	TD.data.target_price{
		display: none;
	}
	DIV.lastPriceDiv{
		display: block;
	}
	
}
/* end of "contacts into company column" */
